tox <- read.table("http://ashipunov.info/data/tox.txt", h=T)
str(tox)
for (x in 2:ncol(tox))
{
tmp <- chisq.test(tox[,1], tox[,x])
print(paste(names(tox)[x], tmp$p.value))
}
mosaicplot(table(ILL=tox$ILL, CAESAR=tox$CAESAR))
table(ILL=tox$ILL, CAESAR=tox$CAESAR)

first <- c(63, 72, 77, 76, 67, 56, 55, 51, 77, 64)
second <- c(87, 86, 76, 79, 54, 60, 97, 80, 73, 97)
dif <- second - first
pos.dif <- dif[dif > 0]
dif
pos.dif
binom.test(length(pos.dif), length(dif))

wilcox.test(first, second, paired=T)

for (x in 2:ncol(tox))
{
tmp <- chisq.test(tox[,1], tox[,x])
print(paste(names(tox)[x], tmp$p.value*13))
}

pr <- read.table("http://ashipunov.info/data/seedlings.txt", h=T)
str(pr)
pr$CID
pr$GERM.14

p63 <- chisq.test(table(subset(pr, CID==c(0,63))))$p.value
p105 <- chisq.test(table(subset(pr, CID==c(0,105))))$p.value
p80 <- chisq.test(table(subset(pr, CID==c(0,80))))$p.value
p.adjust(c(p105, p63, p80))
c(p105, p63, p80)

source("http://ashipunov.info/data/concordance.r")
isl <- read.table("http://ashipunov.info/data/pokorm_03.dat", h=T, sep=";")
str(isl)
cohen.kappa(as.matrix(isl))
