cor(5:15, 7:17)
cor(5:15, c(7:16, 23))
cor(5:15, c(7:16, 203))
cor(5:15, 17:7)

cor(trees)
trees1 <- trees
trees1[1,1] <- NA
summary(trees1)
cor(trees1)
cor(trees1, use="complete.obs")
cor(trees1, use="pairwise.complete.obs")
cor(trees, method="spearman")

cor(longley)
symnum(cor(longley))

# install.packages("ellipse")
library(ellipse)
plotcorr(cor(longley), type="lower")
cor.test(trees$Girth, trees$Volume)
with(trees, cor.test(Girth, Volume))
with(trees, cor.test(Girth, Height, method="spearman"))
with(trees, cor.test(Girth, Height, m="s"))

lm.women <- lm(weight ~ height, data=women)
plot(weight ~ height, data=women, main="", xlab="Height (ft)", ylab="Weight (lb)")
grid()
abline(lm.women, col="red")

summary(lm.women)
summary(lm(Girth ~ Height, data=trees))

plot(lm.women)
