str(women)
lm.women <- lm(weight ~ height, data=women)
summary(lm.women)

# plot(lm.women) # interactive plots

plot(weight ~ height, data=women)
abline(lm.women, col="red")

# install.packages("ISwR") # could be already installed
library(ISwR)
str(thuesen)
summary(thuesen)
thuesen <- na.omit(thuesen)

thuesen.lm <- lm(short.velocity ~ blood.glucose, data=thuesen)
summary(thuesen.lm)
# plot(thuesen.lm) # interactive plots

plot(short.velocity ~ blood.glucose, data=thuesen)
abline(thuesen.lm, col="blue")

pred.frame <- data.frame(blood.glucose=4:20)
pc <- predict(thuesen.lm, int="c", newdata=pred.frame)
plot(short.velocity ~ blood.glucose, data=thuesen)
matlines(pred.frame$blood.glucose, pc, lty=c(1,2,2), col="green")

source("http://ashipunov.info/data/normality3.r")

e <- read.table("http://ashipunov.info/shipunov/open/erophila.txt", h=T)
str(e)
Normality3(e)
cor(e[,2:4], method="spearman")
cor.test(e$FRUIT.L, e$FRUIT.MAXW, method="spearman")
lm.e <- lm(FRUIT.MAXW ~ FRUIT.L, data=e)
summary(lm.e)

co <- read.table("http://ashipunov.info/shipunov/open/cochlearia.txt", h=T)
str(co)
Normality3(co)
