a <- read.table("http://ashipunov.info/data/atmospheres.txt", h=T, sep="\t", row.names=1)
a.d <- dist(t(a))
str(a)
plot(hclust(a.d))
a.c <- cmdscale(a.d)
plot(a.c[,1:2], type="n")
text(a.c[,1:2], labels=names(a))

iriss <- iris[seq(1,nrow(iris),5),]
str(iris)
str(iriss)
iriss.d <- dist(iriss[,-5], method="manhattan")
iriss.h <- hclust(iriss.d, method="ward")
plot(iriss.h, labels=abbreviate(iriss[,5], 1, method="both.sides"))

library(cluster)
iris.f <- fanny(iris[,1:4], 3)
plot(iris.f, which=1)
iris.f$membership

# install.packages("pvclust")
library(pvclust)
irisst <- t(iriss[,-5])
colnames(irisst) <- paste(abbreviate(iriss[,5], 1, method="both.sides"), colnames(irisst))
iriss.pv <- pvclust(irisst, method.dist="manhattan", method.hclust="ward", nboot=100)
plot(iriss.pv, col.pv=c(1,0,0))

library(MASS)
iris.train <- iris[seq(1,nrow(iris),5),]
iris.unknown <- iris[-seq(1,nrow(iris),5),]
iris.lda <- lda(iris.train[,-5], iris.train[,5])
iris.ldap <- predict(iris.lda, iris.unknown[,-5])$class
# cross-validation:
table(iris.ldap, iris.unknown[,5])
