getwd()

str(trees)
mean(trees$Height)
sapply(trees, mean)
summary(trees)

t <- trees
t[1,1] <- NA
summary(trees)
summary(t)
sapply(t, mean)

mean(t$Girth, na.rm=T)
var(trees$Height)
sd(trees$Height)
sqrt(var(trees$Height))
IQR(trees$Height)

salary <- c(21, 19, 27, 11, 102, 25, 21)
sd(salary)
IQR(salary)
var(salary)

w <- 60:66
sd(w)
sd(salary)
sd(w)/mean(w)
sd(salary)/mean(salary)
100*sapply(trees, sd)/colMeans(trees)

boxplot(salary)
boxplot(trees)
eq <- read.table("http://ashipunov.info/data/eq.txt", h=T)
str(eq)
boxplot(DL.R ~ SPECIES, data=eq)
plot(DL.R ~ SPECIES, data=eq)
plot(DL.R ~ DL.PER, data=eq)
plot(N.ZUB ~ SPECIES, data=eq)

seq <- scale(eq[,-1])
boxplot(seq[eq$SPECIES=="arvense",])
boxplot(seq[eq$SPECIES=="arvense",], at=1:8-0.2)
boxplot(seq[eq$SPECIES=="arvense",], at=1:8-0.2, boxwex=0.3)
boxplot(seq[eq$SPECIES=="arvense",], at=1:8-0.2, boxwex=0.3, xaxt="n", yaxt="n")
boxplot(seq[eq$SPECIES=="fluviatile",], at=1:8+0.2, boxwex=0.3, xaxt="n", yaxt="n", add=T, col="green")
axis(1, 1:8, names(eq)[-1], cex.axis=0.75)
legend("topleft", c("arvense","fluviatile"), fill=c("white","green"))

hist(salary)
plot(density(trees[,1]))
plot(density(rnorm(1000)))

summary(eq$SPECIES)
summary(eq$DL.PER)

err <- read.table("http://ashipunov.info/data/errors.txt", h=T, sep="\t")
str(err)
summary(err)

t.test(trees$Height)
t.test(trees$Height, mu=76)
wilcox.test(trees$Height)

median(trees$Height)
wilcox.test(trees$Height, mu=76)
