t.test(1:9)
t.test(1:9, mu=5)

wilcox.test(1:9, mu=5)
wilcox.test(1:9, mu=500)
wilcox.test(1:9, mu=5, conf.int=T)

salary <- c(21, 19, 27, 11, 102, 25, 21)
t.test(salary)
t.test(salary, mu=32)
# wilcox.test(salary, mu=32) # multiple testing is not allowed ethically!
# wilcox.test(salary, mu=31)
# wilcox.test(salary, mu=30)
median(salary)
wilcox.test(salary, mu=21)

shapiro.test(salary)
shapiro.test(rnorm(5000))
shapiro.test(salary)
shapiro.test(1:9)
shapiro.test(trees$Height)
shapiro.test(trees$Girth)
shapiro.test(trees$Volume)

set.seed(1); qqnorm(rnorm(5000)); qqline(rnorm(5000))
qqnorm(salary); qqline(salary)

qqnorm(trees$Height); qqline(trees$Height)
qqnorm(trees$Volume); qqline(trees$Volume)
qqnorm(trees$Girth); qqline(trees$Girth)

mean(salary)
sd(salary)
100*sd(salary)/mean(salary)
# CV(salary) # error!
CV <- function(x)
{
100*sd(x)/mean(x)
}
# fix(CV)
CV(salary)
CV(trees$Volume)
CV(trees$Height)
CV(trees$Girth)
# fix(CV) # add round() function there

