hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=T)
anova(lm(HEIGHT ~ COLOR, data=hwc))
pairwise.t.test(hwc$HEIGHT, hwc$COLOR)
pairwise.wilcox.test(hwc$HEIGHT, hwc$COLOR)
h.c <- aov(lm(HEIGHT ~ COLOR, data=hwc))
TukeyHSD(h.c)
plot(TukeyHSD(h.c))

eq8 <- read.table("http://ashipunov.info/data/eq8.txt", h=T)
str(eq8)
kruskal.test(DL.R ~ SPECIES, data=eq8)
pairwise.wilcox.test(eq8$DL.R, eq8$SPECIES)
TukeyHSD(aov(lm(DL.R ~ SPECIES, data=eq8)))

str(iris)
coplot(Sepal.Length ~ Petal.Length | Species, data=iris)
library(lattice)
xyplot(Sepal.Length ~ Petal.Length + Petal.Width | Species, data=iris)
pairs(iris[,1:4], pch=21, bg=as.numeric(iris[,5]))

str(mtcars)
stars(mtcars[1:9,1:7])

# install.packages("TeachingDemos")
library(TeachingDemos)
faces(mtcars[1:9,1:7])

# install.packages("rgl")
library(rgl)
plot3d(iris[,1:3], col=as.numeric(iris[,5]))

